Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186496 - [69cat] AssertionError: [jar:file:/home/NB/main-golden/nbbuild/netbeans/ide/modules/org-netbeans-modules-dlight-terminal.jar!/org/netbeans/modules/dlight/terminal/layer.xml]
[69cat] AssertionError: [jar:file:/home/NB/main-golden/nbbuild/netbeans/ide/m...
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Jesse Glick
issues@apisupport
EXCEPTIONS_REPORT, 69patch1
:
Depends on:
Blocks: 184114
  Show dependency treegraph
 
Reported: 2010-05-21 11:28 UTC by zolta
Modified: 2010-06-23 14:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.43 KB, text/plain)
2010-05-21 11:28 UTC, zolta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zolta 2010-05-21 11:28:51 UTC
This bug was originally marked as duplicate of bug 184114, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201005192201)
VM: Java HotSpot(TM) Client VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Linux

User Comments:
aldobrucale: Right-clicking on a layer.xml node

zolta: an NB module project's layer
this layer in context
right click on Terminal>Terminal node

aldobrucale: Right-clicked on XML Layer/<this layer in context>/Toolbars/&File
in a nb module project (non-maven)

aldobrucale: clicking on any node in <this layer in context> in a nb module (maven) project




Stacktrace: 
java.lang.AssertionError: [jar:file:/home/NB/main-golden/nbbuild/netbeans/ide/modules/org-netbeans-modules-dlight-terminal.jar!/org/netbeans/modules/dlight/terminal/layer.xml]
   at org.netbeans.modules.apisupport.project.layers.PickNameAction.findProject(PickNameAction.java:87)
   at org.netbeans.modules.apisupport.project.layers.PickNameAction.enable(PickNameAction.java:146)
   at org.openide.util.actions.NodeAction$DelegateAction.resultChanged(NodeAction.java:615)
   at org.openide.util.actions.CookieAction$CookieDelegateAction.superResultChanged(CookieAction.java:346)
   at org.openide.util.actions.CookieAction$CookieDelegateAction.resultChanged(CookieAction.java:342)
   at org.openide.util.actions.NodeAction$DelegateAction.<init>(NodeAction.java:560)
Comment 1 zolta 2010-05-21 11:28:56 UTC
Created attachment 99306 [details]
stacktrace
Comment 2 Jesse Glick 2010-05-24 16:42:18 UTC
core-main #9b82083f417e
Comment 3 Quality Engineering 2010-05-25 07:33:29 UTC
Integrated into 'main-golden', will be available in build *201005250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9b82083f417e
User: Jesse Glick <jglick@netbeans.org>
Log: #186496: [69cat] AssertionError: [jar:file:/home/NB/main-golden/nbbuild/netbeans/ide/modules/org-netbeans-modules-dlight-terminal.jar!/org/netbeans/modules/dlight/terminal/layer.xml]
Comment 4 Marian Mirilovic 2010-06-23 12:30:16 UTC
verified in 201006230001
Comment 5 rbalada 2010-06-23 14:40:29 UTC
main #9b82083f417e transplanted to release691 #1cddb5d90cca


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo